Google Apps ending support for older browsers

Posted by Mark Raby

If you've been hesitant to update your Internet browser, you may want to pay attention to this.

Google announced that it will begin phasing out support for users who are not using the most up-to-date browsers. And it's not just talking about people who are using the same browser they were using in 2001. Anything below Firefox 4, Internet Explorer 8, and Safari 4 is on the chopping block.

After August 1, users who are still on one of those older browsers will either have difficulties or be completely unable to create and share virtual documents, access Google Talk, create Google Calendar alerts, or even check your Gmail.

This is because Google plans an overhaul of its online Apps service that will rely heavily on the new HTML5 Web standard - something that all the current browsers support in a big way but is totally out of the picture in previous releases.

"For Web applications to spring even farther ahead of traditional software, our teams need to make use of new capabilities available in modern browsers," said Google engineering VP Venkat Panchapakesan.

Anyone who uses Chrome, Google's own browser, is in the clear regardless of which version they're using, because Chrome was built with deep HTML5 support from the beginning.

All of the products under Google's "Apps" brand are affected, which include Google Docs, Google Talk, Google Calendar, Gmail, and Google Sites.